aagc.vo

## Class IncaricoProfessionistaAmbulatorialeRequest

- java.lang.Object
- - aagc.vo.IncaricoProfessionistaAmbulatorialeRequest

-     public class IncaricoProfessionistaAmbulatorialeRequest
      extends java.lang.Object

  Classe Java per incaricoProfessionistaAmbulatorialeRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="incaricoProfessionistaAmbulatorialeRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="identificativoIncaricoProfessionistaAmbulatoriale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoSpecializzazione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="3"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceErogatoreAI" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]*"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceErogatoreAI`
    `protected java.lang.String` | `codiceTipoSpecializzazione`
    `protected java.lang.String` | `identificativoIncaricoProfessionistaAmbulatoriale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncaricoProfessionistaAmbulatorialeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceErogatoreAI()` Recupera il valore della proprietà codiceErogatoreAI.
    `java.lang.String` | `getCodiceTipoSpecializzazione()` Recupera il valore della proprietà codiceTipoSpecializzazione.
    `java.lang.String` | `getIdentificativoIncaricoProfessionistaAmbulatoriale()` Recupera il valore della proprietà identificativoIncaricoProfessionistaAmbulatoriale.
    `void` | `setCodiceErogatoreAI(java.lang.String value)` Imposta il valore della proprietà codiceErogatoreAI.
    `void` | `setCodiceTipoSpecializzazione(java.lang.String value)` Imposta il valore della proprietà codiceTipoSpecializzazione.
    `void` | `setIdentificativoIncaricoProfessionistaAmbulatoriale(java.lang.String value)` Imposta il valore della proprietà identificativoIncaricoProfessionistaAmbulatoriale.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identificativoIncaricoProfessionistaAmbulatoriale

          protected java.lang.String identificativoIncaricoProfessionistaAmbulatoriale

    - #### codiceTipoSpecializzazione

          protected java.lang.String codiceTipoSpecializzazione

    - #### codiceErogatoreAI

          protected java.lang.String codiceErogatoreAI

  - ### Constructor Detail

    - #### IncaricoProfessionistaAmbulatorialeRequest

          public IncaricoProfessionistaAmbulatorialeRequest()

  - ### Method Detail

    - #### getIdentificativoIncaricoProfessionistaAmbulatoriale

          public java.lang.String getIdentificativoIncaricoProfessionistaAmbulatoriale()

      Recupera il valore della proprietà identificativoIncaricoProfessionistaAmbulatoriale.
      Returns:
        possible object is `String`

    - #### setIdentificativoIncaricoProfessionistaAmbulatoriale

          public void setIdentificativoIncaricoProfessionistaAmbulatoriale(java.lang.String value)

      Imposta il valore della proprietà identificativoIncaricoProfessionistaAmbulatoriale.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoSpecializzazione

          public java.lang.String getCodiceTipoSpecializzazione()

      Recupera il valore della proprietà codiceTipoSpecializzazione.
      Returns:
        possible object is `String`

    - #### setCodiceTipoSpecializzazione

          public void setCodiceTipoSpecializzazione(java.lang.String value)

      Imposta il valore della proprietà codiceTipoSpecializzazione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceErogatoreAI

          public java.lang.String getCodiceErogatoreAI()

      Recupera il valore della proprietà codiceErogatoreAI.
      Returns:
        possible object is `String`

    - #### setCodiceErogatoreAI

          public void setCodiceErogatoreAI(java.lang.String value)

      Imposta il valore della proprietà codiceErogatoreAI.
      Parameters:
        `value` - allowed object is `String`